Skip to main content
POST

Authorizations

Authorization
string
header
required

Authentication token required for accessing protected endpoints. The token should be obtained from the main SalesCaptain authentication service.

Path Parameters

company_id
string<uuid>
required

Unique identifier for the company

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Body

application/json
to_phone
string
required

Recipient phone number. E.164 format is recommended (e.g. +14155551234). Spaces, dashes, dots and parentheses are ignored.

Example:

"+14155551234"

conversation_profile_id
string<uuid>
required

The conversation profile (your number) to send from. Use /v1/list-conversation-profiles/{company_id} to list them.

Example:

"c3d4e5f6-a7b8-9012-cdef-123456789012"

message_body
string

Free-form message text. Required unless template_id is provided.

Example:

"Hi John, your technician is on the way and should arrive in 20 minutes."

template_id
string<uuid>

Optional saved SMS template to send instead of / in addition to message_body.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

contact_name
string

Optional name used when a new contact is created. If the contact already exists, its first name is updated to this value.

Maximum string length: 100
Example:

"John Smith"

Response

SMS sent successfully

message
string
Example:

"SMS sent successfully!"

data
object

Result of sending an SMS to a phone number